## Data Structures
### Permission
 + id: (number, required)
 + name: (string, required)

### New Permission
 + name: (string, required)

### Partial Permission 
 + name: (string)

### User Permission
 + id: (number, required)
 + user_id: (number, required)
 + permission_level: (number, required)

### New User Permission
 + user_id: (number, required)
 + permission_level: (number, required)

### Partial User Permission
 + user_id: (number)
 + permission_level: (number)

# Group Permission
## Permissions [/api/v1/permissions/]

### List all permissions in system [GET]
returns a list of all permissions in the database
 + Response 200 (application/json)
    + Attributes
       + permissions (array[Permission])

### create new permission [POST]
this creates a new permission
 + Request (application/json)
    + Attributes (New Permission)
 + Response 200 (application/json)
    + Attributes (Permission)

## Permission [/api/v1/permission/{permission_id}]
 + Parameters
    + permission_id: 73 (required,number)

### get a permission from the inventory [GET]
returns a single permission from the database
 + Response 200 (application/json)
    + Attributes
       + permission (Permission)

### Get a single permission [GET]
 + Response 200 (application/json)
    + Attributes (Permission, required)

### modifiy a single permission [PUT]
 + Request (application/json)
    + Attributes (partial Permission, required)
 + 204
    + Attributes (Permission, required)
 + Response 204

### delete a single permission [DELETE]
 + Response 204

# Group User Permission
## User Permission [/api/v1/user_permissions/]

### List all User Permissions [GET]
returns a list of all User Permissions
 + Response 200 (application/json)
    + Attributes
       + User Permission (array[User Permission])

### create new User Permission [POST]
this creates a User Permission
 + Request (application/json)
    + Attributes (new User Permission)
 + Response 200 (application/json)
    + Attributes (User Permission)

## User Permission [/api/v1/user_permission/{user_permission_id}]
 + Parameters
    + Manufacturer_id: 007 (required, number)

### get manufacturer [GET]
returns a single User Permission
 + Response 200 (application/json)
    + Attributes
       + User Permission (User Permission)

### Get a single User Permission [GET]
 + Response 200 (application/json)
    + Attributes (User Permission, required)

### modifiy a single User Permission [PUT]
 + Request (application/json)
    + Attributes (partial User Permission, required)
 + 204

### delete a single User Permission [DELETE]
 + 204